Subject: Re: bug#26173: [PATCH 4/4] tests: ssh: Add a test for SFTP.

From: Clément Lassieur <[email-masked]>
Date: Tue, 21 Mar 2017 22:23:05 +0100

Leo Famulari <[email-masked]> writes:

> On Tue, Mar 21, 2017 at 01:13:51PM +0100, Marius Bakke wrote:
>> Clément Lassieur <[email-masked]> writes:
>> > Leo Famulari <[email-masked]> writes:
>> >> No need to "sign off" on your own patches. In Guix, we use this field
>> >> when we commit a patch on behalf of somebody else.
>> >
>> > Ok!  I could not find anything about it in HACKING.  Is this written
>> > somewhere else?  Or maybe we should update HACKING?
>
> Okay, I think it's a nice convention. Would you like to add a sentence
> or two about it?

Sure.  See https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26213.

>> This sounds like a good idea. There are some contributors who don't use
>> the '-s' flag to `git am` too, such that one has to use `git log
>> --format=full` to see who committed/reviewed a patch.
>
> Overall, the Signed-off-by text is not that important, but it does save
> a bit of time while reading the commit log.
>
> As Marius points out, Git records the committer separately. Plus, the
> committer information can include any text you choose, just like the
> authorial information.
>
> The PGP / GPG signature is the only thing that can actually record the
> identity of the person who pushed the commit to Savannah (assuming one
> does not create a useful SHA1 collision in the repository).